.empty__order {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.order__order-container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.order-group {
    border: 1px solid #000;
    border-radius: var(--border-radius);
}

.order-item {
    display: grid;
}

.order-item__order {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1.5rem;
    padding: 1rem;
}

.order-item__name {
    font-size: 1.25rem;
    line-height: 115%;
    font-weight: 500;
}

.order-item__price {
    font-size: 1.5rem;
    line-height: 115%;
    font-weight: 600;
}

.order-item__order-details-wrapper {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.order-item__id {
    color: var(--orange);
}

.order-item__date {
    font-size: 0.875rem;
    color: var(--text-dark);
}

.order-item__img-list {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    gap: 0.75rem;
    padding: 1rem;
}

.order-item__img-list-item {
    display: flex;
    border-radius: var(--border-radius);
    overflow: hidden;
    background: #fff;
}

.order-item__img-list-item a {
    position: relative;
}

.order-item__img-list-item a::after {
    background-color: rgba(0, 0, 0, .03);
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 3px;
}

.order-item__img-list img {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: contain;
    object-position: center;
}

.order-item__more-imgs {
    width: 100%;
    aspect-ratio: 1/1;
    justify-content: center;
    align-items: center;
    border: 2px solid var(--black);
    cursor: pointer;
}

.order-item__more-imgs p {
    font-size: 1rem;
    color: var(--black);
    text-align: center;
}

.order-item__more-imgs--p2 {
    display: none;
}

.order-item__more-imgs--p3 {
    display: flex;
}

.order__container .show__more--items-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
}

.order__container .show__more--items {
    width: 100%;
    gap: 1rem;
}

.order__container .show__more--items .small__circle__loader__container {
    position: static;
    width: auto;
    height: 0.5rem;
}

.order__hidden {
    padding: 1rem;
}

.order__hidden .dynamic__table {
    width: 100%;
}

.order__container .year__information {
    background: #4e4e4e;
    color: white;
    padding: 0.8rem;
    width: 100%;
    text-align: center;
}

.empty__order .main__title {
    margin: 0;
    text-align: center;
}

.address__content {
    padding-top: 2rem;
    padding-right: 2rem;
    margin-bottom: 2rem;
}

.address__content .address__item {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    border-top: 1px solid #ebebeb;
    padding: 0.938rem;
}

.address__content .address__item:last-child {
    border-bottom: 1px solid #ebebeb;
}

.address__content .address__item:nth-of-type(odd) {
    background: #f6f6f6;
}

.address__item .right {
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
}

.address__item .left,
.address__item .right,
.address__item .right span {
    font-size: 0.875rem;
    font-weight: 300;
}

.flex-buttons-container {
    grid-row: 2;
    display: flex;
    flex-direction: column;
    gap: 0.375rem;
    padding: 1rem;
}

.flex-buttons-container .btn.btn--secondary {
    width: 100%;
}

.dynamic__table thead td {
    font-size: 0.875rem;
    font-weight: 500;
    padding: 0 0.5rem 1rem;
}

.dynamic__table thead td[data-count] {
    min-width: 100px;
}

.dynamic__table thead td[data-price] {
    min-width: 75px;
}

.dynamic__table tbody td {
    font-weight: 300;
    font-size: 0.875rem;
    padding: 0.75rem 0.5rem;
    border-bottom: 1px solid #707070;
}

.dynamic__table tbody tr:last-child td {
    border-bottom: unset;
}

.dynamic__table tbody td img {
    width: 120px;
    object-fit: contain;
    object-position: center;
    background: white;
    aspect-ratio: 16/9;
}

.dynamic__table tbody td a {
    color: #000;
    cursor: pointer;
    text-decoration: none;
    font-weight: 300;
    font-size: 0.875rem;
    transition: 0.6s;
}

.dynamic__table tbody td a:hover {
    transition: 0.6s;
    color: var(--orange);
}

td[data-hidden-content] {
    display: none;
}

td[data-hidden-content] p {
    margin-bottom: 0.6rem;
    font-size: 0.75rem;
}

.address__content {
    display: none;
}

.order-group.active .address__content {
    display: block;
}

.order-group.active .order-item__img-list {
    display: none;
}

.order-group.active .order-item {
    grid-template-columns: 1fr;
    gap: 0 1.5rem;
}

.dynamic__table thead td:first-of-type,
.dynamic__table tbody td:first-of-type {
    padding-left: unset;
}

.dynamic__table thead td:last-of-type,
.dynamic__table thead td[data-price],
.dynamic__table tbody td:last-of-type,
.dynamic__table tbody td[data-price] {
    padding-right: unset;
}

.dynamic__table tbody .data-image-div {
    display: flex;
}

.dynamic__table tbody td[data-image] a {
    position: relative;
    border-radius: var(--border-radius);
    overflow: hidden;
    display: flex;
}

.dynamic__table tbody td[data-image] a::after {
    background-color: rgba(0, 0, 0, .03);
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: var(--border-radius);
}

/*  */
.order__item--find .order__header,
.order__item--find .order__content {
    text-align: left;
    background: #ebebeb;
    display: grid;
    grid-template-columns: 18% 18% 21% 25% 1fr;
    position: relative;
    border: 1px solid #dee2e6;
}

.order__item--find .order__header {
    border-bottom: unset;
}

.order__item--find .order__header div,
.order__item--find .order__content div {
    padding: 1.35rem 1rem;
    overflow: hidden;
    justify-content: start;
    align-items: center;
}

.order__item--find .order__content div:first-child,
.order__item--find .order__header div:first-child {
    padding-left: 1.5rem;
}

.order__item--find .order__content {
    background: var(--white);
}

.order__item--find .order__header .order-back {
    position: absolute;
    right: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 13px;
    width: 35px;
}

.order__item--find .order__content .order__preview--images {
    display: flex;
}

.order__item--find .order__content .preview__image {
    width: 58px;
    background: white;
    object-position: center;
    object-fit: contain;
    aspect-ratio: 16 / 9;
}

.order__item--find .address__content {
    display: block;
}

.order__item--find .order__hidden {
    padding: unset;
}

.order__item--find .dynamic__table {
    margin-top: 2rem;
}

.order__item--find .address__content {
    margin-top: 2rem;
    padding: 1rem;
    max-width: 768px;
    background: #F7F7F7;
}

@media only screen and (max-width: 767px) {
    .order-group.active .address__content {
        width: 100%;
        max-width: unset;
        padding: 1rem;
        margin-bottom: 1rem;
    }

    .flex-buttons-container .btn.btn--secondary {
        padding: 0.875rem 1rem;
    }

    .dynamic__table td[data-id] {
        display: none;
    }
}

@media only screen and (max-width: 650px) {
    .order__item--find .order__content .order__preview--images,
    .order__item--find .order__header .order__preview--header {
        display: none;
    }

    .order__item--find .order__header,
    .order__item--find .order__content {
        grid-template-columns: 1fr 1fr 1fr;
        flex-wrap: wrap;
    }
}

@media only screen and (max-width: 500px) {
    .address__content .address__item {
        gap: 1rem;
    }

    .dynamic__table td[data-link],
    .dynamic__table td[data-count],
    .dynamic__table td[data-price] {
        display: none;
    }

    .dynamic__table td[data-hidden-content] {
        display: revert;
    }

    .dynamic__table td[data-products-count] {
        width: 28%;
    }

    .dynamic__table tbody td[data-image] img {
        aspect-ratio: 1/1;
    }

    .dynamic__table thead td[data-products-count] {
        white-space: nowrap;
    }
}

@media only screen and (min-width: 576px) {
    .flex-buttons-container {
        padding: 0 1rem 1rem;
        grid-column: 1/3;
        flex-direction: row;
        align-items: center;
        flex-wrap: wrap;
    }

    .flex-buttons-container .btn.btn--secondary {
        width: auto;
    }

    .order-item__order {
        width: 200px;
    }

    .order-item__more-imgs--p2 {
        display: flex;
    }

    .order-item__more-imgs--p3 {
        display: none;
    }

    .order-item {
        grid-template-columns: auto 1fr;
        gap: 0 2.5rem;
    }

    .order-item__img-list {
        grid-template-columns: repeat(3, 1fr);
    }

    .order__container .show__more--items-wrapper {
        margin-top: 0.75rem;
    }

    .order__container .show__more--items {
        width: auto;
    }

    .dynamic__table thead td[data-count],
    .dynamic__table thead td[data-price],
    .dynamic__table thead td[data-id],
    .dynamic__table tbody td[data-count],
    .dynamic__table tbody td[data-price],
    .dynamic__table tbody td[data-id] {
        text-align: center;
    }
}

@media only screen and (min-width: 768px) {
    .dynamic__table thead td:first-of-type,
    .dynamic__table tbody td:first-of-type {
        width: 125px;
    }

    .order__hidden {
        padding: 1.5rem;
    }

    .order-item__order {
        width: auto;
        min-width: 300px;
        padding: 2rem 0 2rem 2rem;
    }

    .order-item__more-imgs--p2 {
        display: none;
    }

    .order-item__more-imgs--p3 {
        display: flex;
    }

    .order-item__img-list {
        grid-template-columns: repeat(4, 1fr);
        padding: 2rem 2rem 2rem 0;
    }

    .flex-buttons-container {
        padding: 0 2rem 2rem 2rem;
    }

    .order-item__more-imgs p {
        font-size: 1.25rem;
    }

    .order-group.active .order-item {
        grid-template-columns: auto 1fr;
        gap: 0 4rem;
    }
}

@media only screen and (min-width: 1024px) {
    .order-item__order {
        width: 200px;
        min-width: unset;
    }

    .order-item__img-list {
        grid-template-columns: repeat(3, 1fr);
    }

    .order-item__more-imgs--p2 {
        display: flex;
    }

    .order-item__more-imgs--p3 {
        display: none;
    }
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
    .order-item__img-list-item:nth-child(n + 3) {
        display: none;
    }
}

@media only screen and (min-width: 1024px) and (max-width: 1200px) {
    .order-item__img-list-item:nth-child(n + 3) {
        display: none;
    }
}

@media only screen and (min-width: 1200px) {
    .order-item__order {
        min-width: 300px;
    }

    .order-item__img-list {
        grid-template-columns: repeat(4, 1fr);
    }

    .order-item__more-imgs--p2 {
        display: none;
    }

    .order-item__more-imgs--p3 {
        display: flex;
    }

    .order-group.active .order-item {
        gap: 0 6rem;
    }
}

@media only screen and (min-width: 1520px) {
    .address__content .address__item {
        grid-template-columns: 220px 1fr;
    }
}
